summaryrefslogtreecommitdiffstats
path: root/ci/envs/guest-setup0.sh
diff options
context:
space:
mode:
authorJiang, Yunhong <yunhong.jiang@intel.com>2016-08-20 20:09:20 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2016-08-20 20:09:20 +0000
commit42e2343970d47d0aa081a565c0f51873778e555c (patch)
tree906331bf89ee8fee2c4bd156abd05a0bc7f53353 /ci/envs/guest-setup0.sh
parent1ec14a31c3ee8df1b8602632e0e3295547e3ea12 (diff)
parent98ac1e06204a5cb5f9ab1158173232e31772359f (diff)
Merge "CI integration for KVMforNFV."
Diffstat (limited to 'ci/envs/guest-setup0.sh')
-rwxr-xr-xci/envs/guest-setup0.sh19
1 files changed, 9 insertions, 10 deletions
diff --git a/ci/envs/guest-setup0.sh b/ci/envs/guest-setup0.sh
index 490bd570d..4f9eaa430 100755
--- a/ci/envs/guest-setup0.sh
+++ b/ci/envs/guest-setup0.sh
@@ -9,27 +9,26 @@
###############################################################################
-rpmdir=${1:-"/root/workspace/"}
-rpmpat="kernel-4.1*.rpm"
-rpm -ihv ${rpmdir}/rt-tests-0.96-1.el7.centos.x86_64.rpm
+rpmdir=${1:-"/root/workspace/rpm"}
+rpmpat="kernel-4.4*.rpm"
guest_isolcpus=1
-# The script's caller should passing the rpm directory that is built out from
+# The script's caller should passing the rpm directory that is built out from
# build.sh. The default rpmdir is the one used by yardstick scripts.
install_kernel () {
# Install the kernel rpm
filenum=`ls -l ${rpmdir}/${rpmpat} |wc -l`
if [ $filenum -eq 0 ]
then
- echo "No kernel rpm found in workspace/rpm"
- exit 1
+ echo "No kernel rpm found in workspace/rpm"
+ exit 1
elif [ $filenum -gt 1 ]
then
- echo "Multiple kernel rpm found in workspace/rpm"
- exit 1
+ echo "Multiple kernel rpm found in workspace/rpm"
+ exit 1
else
- krpm=`find "${rpmdir}" -name "${rpmpat}"`
- rpm -ihv $krpm
+ krpm=`find "${rpmdir}" -name "${rpmpat}"`
+ rpm -ihv $krpm
fi
}